'
' JustLDAPDomain test script for returning the date that the users password was last changed.
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), Domain, AuthUsername, AuthPassword
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns Variant - A VBScript Date Time value
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  
  Result = oLdap.GetDateUserPasswordLastChangedDom("bobuser", "otherdomain.com", "admin42", "secretpw55$")
 
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)


Set oLdap = Nothing



