'
' JustLDAPDomain test script to to list all groups.
'
' Demonstrates standard text error message retrieval to assist debugging.
' 
' Input parameters - Domain, AuthUsername, AuthPassword
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Returns an ADO Recordset
'

Option Explicit

Dim oLdap, Result, oRS, Item

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

Set oRS = oLdap.ListAllGroupsDom("otherdomain.com", "admin42", "secretpw55$")


  If oLdap.ErrorOccurred() = True Then

    Result = oLdap.GetLastErrorAsMessage()
    Wscript.Echo Result
  
  Else

    If Not IsNull(oRS) Then
      While Not oRS.EOF
        For Each Item In oRS.Fields
          If Not IsNull(Item.Value) Then
            Wscript.Echo(Item.Value)    
          End If
        Next
      oRS.MoveNext
      Wend
    End If
 
  End If

Set oRS = Nothing

Set oLdap = Nothing


