'
' JustLDAPDomain test script example showing how the SelfChangePasswordDom method works.

' The user *must* know their existing password.
' Will work if the password has expired, but of course not if the account itself is locked out or disabled.
'
' Ideal for use in Web based password reset forms.
'
' Input parameters - UserID (sAMAccountName), OldPassword, NewPassword, Domain, AuthUsername, AuthPassword
'
' Domain = DNS Domain Name or IP address (or specific Domain controller DNS name or IP)
' AuthUsername = An account on the remote domain that has enough rights to perform this action.
'                        (Domain Admin recommended.)
' AuthPassword = Password of the AuthUsername account. Note: Password is not sent over the network
'                      as plain text. JustLDAP sets the ADSI security support for secure authentication.
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName), OldPassword, NewPassword
'
'
' Returns 0 Indicating success. Or Error on failure.
'                         
'
Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAPDomain.DomainAdmin")

  Result = oLdap.SelfChangePasswordDom("salesuser", "top22secret", "secret$pw12", "otherdomain.com", "admin42", "secretpw55$")
 
  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)


Set oLdap = Nothing



