'
' JustLDAP test script to set a user account to normal. All account settings cleared
' except the password requirements for the account will behave as
' appropriate by taking into consideration the current settings.
' For example if the account has "User cannot change password", then the setting
' "User must change password at next logon" will be cleared.
' See the active directory documentation for further information.
'
' 
'
' Demonstrates standard text error message retrieval to assist debugging.
'
' Input parameters - UserID (sAMAccountName) i.e. User Login name
'
' Returns 0 for success.
'

Option Explicit

Dim oLdap, Result

Set oLdap = CreateObject("JustLDAP.Admin")

  Result = oLdap.SetUserAccountToNormal("newuser")

  If oLdap.ErrorOccurred() = True Then ' Error detected - convert to error message.
    Result = oLdap.GetLastErrorAsMessage()
  End If

  Wscript.Echo(Result)

 
Set oLdap = Nothing


